Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.fdk.impl
Class AttributeHelper

    java.lang.Object
      oracle.ifs.fdk.impl.AttributeHelper

    public final class AttributeHelper

extends java.lang.Object

Helper utility methods.

Method Summary
`static java.util.LinkedHashMap` | `getAttributes(FdkSession fsession, LibraryObject reposObject, AttributeRequest[] attributes)` Returns the map of specified attributes.
`static java.lang.String` | `getNameAttribute(FdkSession session, LibraryObject reposObject)` Returns the NAME attribute for an object based on the handler for the attribute.
`static java.lang.Object` | `implicitConversion(FdkSessionImpl session, java.lang.Object value, AttributeRequest[] requestedAttrs)` Converts the return value of an attribute to the proper type based on some implicit rules: PropertyBundle -> NamedValue[] LibraryObject -> Item LibraryObject[] -> Item[] AttributeValue -> implicitConversion(session, av.getObject(), ar)
`static void` | `setAttributes(FdkSessionImpl session, LibraryObject reposObject, NamedValue[] attributes)` Sets the attributes on a given repository object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getAttributes

    public static final java.util.LinkedHashMap getAttributes(FdkSession fsession,
                                                              LibraryObject reposObject,
                                                              AttributeRequest[] attributes)
                                                       throws FdkException

  Description copied from class: `AttributeHelper`
  Returns the map of specified attributes. Attributes that are not applicable to the specified object are not included.

  Parameters:
    `fsession` - The user session to use.
    `reposObject` - The repository object to get the attributes from.
    `attributes` - The attributes requested. Must not be `null`.
  Returns:
    A map of the attributes that are applicable to the repository object. If none of the attributes from the requested ones are applicable, `null` will be returned. A LinkedHashMap is returned so that it is guaranteed that the iterator on the map will return the attributes in the same order as requested by the caller.
  Throws:
    `FdkException`

### getNameAttribute

    public static final java.lang.String getNameAttribute(FdkSession session,
                                                          LibraryObject reposObject)
                                                   throws FdkException,
                                                          IfsException

  Description copied from class: `AttributeHelper`
  Returns the NAME attribute for an object based on the handler for the attribute. If the handler cannot handle the given object, reposObject.getName() will be called directly.

  Parameters:
    `session` - The session to use.
    `reposObject` - The object whose NAME attribute to return.
  Throws:
    `FdkException`
    `IfsException`

### setAttributes

    public static final void setAttributes(FdkSessionImpl session,
                                           LibraryObject reposObject,
                                           NamedValue[] attributes)
                                    throws FdkException

  Description copied from class: `AttributeHelper`
  Sets the attributes on a given repository object.

  Parameters:
    `session` - The user session to use.
    `reposObject` - The repository object to set the attributes on.
    `attributes` - The list of attributes to set on the given object. Must not be `null` and must not contain attributes with a `null` name.
  Throws:
    `FdkException` - If an error occurs.

### implicitConversion

    public static java.lang.Object implicitConversion(FdkSessionImpl session,
                                                      java.lang.Object value,
                                                      AttributeRequest[] requestedAttrs)
                                               throws IfsException,
                                                      FdkException

  Description copied from class: `AttributeHelper`
  Converts the return value of an attribute to the proper type based on some implicit rules: PropertyBundle -> NamedValue[] LibraryObject -> Item LibraryObject[] -> Item[] AttributeValue -> implicitConversion(session, av.getObject(), ar)

  Throws:
    `IfsException`
    `FdkException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD